#include <iostream>
#include <fstream>

#include <cstdio>  
#include <cstdlib>

using namespace std;

#define  MAXV  4000
int graph[MAXV+1][MAXV+1];

int vertex_count;
int edge_count_org;//ԭͼı

int main(int argc, char *argv[])
{
	ifstream infile(argv[1]);
	char line[80];
	char tempstr1[10];
	char tempstr2[10];
	int  tempint;

	infile.getline(line,80);
	while (line[0] != 'p')
		infile.getline(line,80);

	sscanf(line, "%s %s %d %d", tempstr1, tempstr2, &vertex_count, &edge_count_org);
	int i,j;
	for (i=1;i<=vertex_count;++i)
	{
		for (j=1;j<=vertex_count;++j)
		{
			graph[i][j]=0;
		}
	}

	int e;
	int v1,v2;
	char tempchar;
	for (e=0; e<edge_count_org; ++e)
	{
		infile>>tempchar;
		infile>>v1>>v2;
		graph[v1][v2] = graph[v2][v1] = 1;
	}
	infile.close();

	fstream outfile(argv[2],ios::out);
	
	int edge_count=0;
	outfile<<"                                    \n";
	for (i=1;i<=vertex_count;++i)
	{
		for (j=i+1;j<=vertex_count;++j)
		{
			if (graph[i][j]==0)
			{
				outfile<<"e "<<i<<' '<<j<<'\n';
				edge_count++;
			}
		}
	}
	outfile.seekg(0, ios::beg); 
	outfile<<"p edge"<<' '<<vertex_count<<' '<<edge_count;
	outfile.close();

	return 0;
}
